# Created by pyp2rpm-3.3.2
%global pypi_name text-unidecode

Name:           python-%{pypi_name}
Version:        1.3
Release:        %mkrel 7
Summary:        The most basic Text::Unidecode port
Group:          Development/Python
License:        Artistic License
URL:            https://github.com/kmike/text-unidecode/
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-devel

%description
Text-Unidecode is the most basic port of the Text::Unidecode Perl library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Text-Unidecode is the most basic port of the Text::Unidecode Perl library.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files text_unidecode

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Sat Mar 01 2025 wally <wally> 1.3-7.mga10
+ Revision: 2156020
- rebuild for python3.13

* Sat Dec 16 2023 papoteur <papoteur> 1.3-6.mga10
+ Revision: 2018362
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.3-5.mga9
+ Revision: 1822629
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 neoclust <neoclust> 1.3-4.mga9
+ Revision: 1774683
- rebuild for python 3.10

* Sun Apr 18 2021 daviddavid <daviddavid> 1.3-3.mga9
+ Revision: 1716771
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.3-2.mga8
+ Revision: 1532111
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 wally <wally> 1.3-1.mga8
+ Revision: 1441623
- new version 1.3
- drop python2 support

* Sun Aug 04 2019 wally <wally> 1.2-1.mga8
+ Revision: 1427315
- imported package python-text-unidecode

